Name:           astra
Version:        0.6.1
Release:        1
License:        GPLv3
Summary:        Linux FFXIV launcher
Url:            https://git.sr.ht/~redstrate/astra
Source0:        https://xiv.zone/distrib/astra/0.6.1/astra-source.tar.gz

BuildRequires:  appstream
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  git
BuildRequires:  rust
BuildRequires:  cargo
BuildRequires:  pkgconfig(libunshield)
BuildRequires:  corrosion
BuildRequires:  libgcrypt-devel

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Kirigami2)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6Archive)

BuildRequires:  pkgconfig(mpv)
BuildRequires:  pkgconfig(xkbcommon)

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Keychain)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6WebView)

BuildRequires:  pkgconfig(gamemode)
BuildRequires:  cmake(QCoro6)
BuildRequires:  cmake(QuaZip-Qt6)

Requires:       kf6-kirigami2
Requires:       hicolor-icon-theme
BuildRequires:  libgcrypt

%description
Linux FFXIV launcher

%prep
%autosetup -c -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_kf6_datadir}/metainfo/zone.xiv.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_kf6_datadir}/applications/zone.xiv.%{name}.desktop

%files
%doc README.md

%license LICENSES/

%{_kf6_bindir}/%{name}

%{_kf6_datadir}/applications/zone.xiv.%{name}.desktop
%{_kf6_datadir}/icons/hicolor/scalable/apps/zone.xiv.%{name}.svg

%{_kf6_metainfodir}/zone.xiv.%{name}.appdata.xml

%{_kf6_datadir}/qlogging-categories6/astra.categories

%changelog
%autochangelog
